body {
    background: #f9f9f9;
}

.card {
    border: none;
}

.btn-gradient {
    position: relative;
    overflow: hidden;
    color: white;
    background: black;
    border: none;
    transition: background-color 0.3s ease;
}

.btn-gradient::before {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(45deg, #C7B5FE, #B4F900, #25EFAD, #FEFEFF);
    transition: all 0.5s ease-in-out;
    z-index: 1;
}

.btn-gradient:hover::before {
    left: 0;
}

.btn-gradient span {
    position: relative;
    z-index: 2;
}

.copy-success {
    font-size: 0.9rem;
    color: green;
    display: none;
    margin-left: 10px;
}